# Generated by Django 3.1.1 on 2020-11-11 21:54

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('hydra', 'unaccent_extension'),
    ]

    operations = [
        migrations.CreateModel(
            name='Action',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.PositiveSmallIntegerField(choices=[(1, 'Objecto'), (2, 'Vista')], verbose_name='tipo de acción')),
                ('name', models.CharField(max_length=128, verbose_name='nombre de la acción')),
                ('app_label', models.CharField(choices=[('auth', 'Autenticación y autorización'), ('contenttypes', 'Tipos de contenido'), ('sessions', 'Sesiones'), ('messages', 'Mensajes'), ('staticfiles', 'Archivos estáticos'), ('admin', 'Administración'), ('humanize', 'Humanizar'), ('hydra', 'Hydra'), ('django_select2', 'Select2'), ('rest_framework', 'Django rest framework'), ('authentication', 'Authentication'), ('audit', 'Auditoría'), ('taxpayers', 'Contribuyentes'), ('accounting', 'Contabilidad'), ('purchases', 'Adquisiciones'), ('budgets', 'Presupuestos'), ('employees', 'Employees'), ('warehouse', 'Bodega'), ('sequences', 'Secuencias')], max_length=128, verbose_name='aplicación')),
                ('element', models.CharField(max_length=128, verbose_name='elemento accionado')),
            ],
            options={
                'verbose_name': 'acción',
                'verbose_name_plural': 'acciones',
                'ordering': ('name',),
                'unique_together': {('app_label', 'element')},
            },
        ),
        migrations.CreateModel(
            name='Menu',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128, verbose_name='nombre')),
                ('route', models.CharField(max_length=512, unique=True, verbose_name='ruta de acceso')),
                ('icon_class', models.CharField(blank=True, max_length=128, null=True, verbose_name='clase css del ícono')),
                ('sequence', models.PositiveSmallIntegerField(verbose_name='secuencia')),
                ('is_active', models.BooleanField(default=True, verbose_name='activo?')),
                ('action', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='hydra.action', verbose_name='acción')),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='submenus', to='hydra.menu', verbose_name='menú padre')),
            ],
            options={
                'ordering': ('route', 'sequence'),
            },
        ),
    ]
